Subject: Re: bug#46299: 28.0.50; Value of tab-bar-show not respected in new frames.

From: Bastian Beranek <[email-masked]>
Date: Mon, 15 Feb 2021 11:12:27 +0100

martin rudalics <[email-masked]> writes:

>> What if the user wants to manually enable the tab bar on one frame only
>> without enabling tab-bar-mode?  Currently it's possible with
>>
>>    (add-hook 'after-make-frame-functions 'toggle-frame-tab-bar)
>
> As a rule, this should be done by setting the 'tab-bar-lines' parameter
> of that frame to non-zero, leaving it at zero for all other frames.
>
> 'toggle-frame-tab-bar' should stick to that rule.
>
> martin

This is the case. But the problem is that there is now a new function
which restores the value of tab-bar-lines to its original value,
whenever tabs are created or closed, or whenever tab-bar-mode is
switched off and on, for example.